//---------------------------------------------------------------------------
#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ScktComp.hpp>
//---------------------------------------------------------------------------
class TChatForm : public TForm
{
__published:	// IDE-managed Components
	TMainMenu* MainMenu1;
	TMenuItem* File1;
	TMenuItem* Exit1;
	TMenuItem* FileConnectItem;
	TMenuItem* FileListenItem;
	TStatusBar* StatusBar1;
	TBevel* Bevel1;
	TPanel* Panel1;
	TMemo* Memo1;
	TMemo* Memo2;
	TMenuItem* N1;
	TSpeedButton* SpeedButton1;
	TMenuItem* Disconnect1;
	TServerSocket* ServerSocket;
	TClientSocket* ClientSocket;
	void __fastcall FileListenItemClick(TObject* Sender);
	void __fastcall FileConnectItemClick(TObject* Sender);
	void __fastcall Exit1Click(TObject* Sender);
	void __fastcall Memo1KeyDown(TObject* Sender, Word &Key, TShiftState Shift);
	void __fastcall FormCreate(TObject* Sender);
	void __fastcall ServerSocketError(TObject* Sender, short Number, AnsiString &Description, int Scode
		, const AnsiString Source, const AnsiString HelpFile, int HelpContext, Word &CancelDisplay);
	void __fastcall Disconnect1Click(TObject* Sender);
	void __fastcall ClientSocketConnect(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ClientSocketRead(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ServerSocketClientRead(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ServerSocketAccept(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ServerSocketClientConnect(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ClientSocketDisconnect(TObject* Sender, TCustomWinSocket* Socket);
	void __fastcall ClientSocketError(TObject* Sender, TCustomWinSocket* Socket, TErrorEvent ErrorEvent
		, int &ErrorCode);
	void __fastcall ServerSocketClientDisconnect(TObject* Sender, TCustomWinSocket* Socket);
	
private:	// User declarations
protected:
	bool IsServer;
	AnsiString Server;
public:		// User declarations
	__fastcall TChatForm(TComponent* Owner);
	__fastcall ~TChatForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TChatForm *ChatForm;
//---------------------------------------------------------------------------
#endif
